CREATE TABLE IF NOT EXISTS repo_lfs_lock (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    repo UUID NOT NULL REFERENCES repo(id),
    path TEXT NOT NULL,
    locked_by UUID NOT NULL,
    ref_name TEXT,
    created_at TIMESTAMPTZ NOT NULL DEFAULT now()
);
